<?
session_name('portal_absa');
session_start();
require_once "../conexion/conectar.php";

$conexion = new CONDB();
$conexion->conectar();
$query = "select pdr.monto,pdr.numparcialidad,rd.tipodocto,rd.rfcemisor,rd.nombreemi,rd.serie,rd.folio,rd.uuid,rd.total,rd.fechadocto,rd.tipomoneda,rd.tipo_cambio from pago_documentos_ref pdr right join recibedoce rd on pdr.uuidcfdirelacionado=rd.uuid where pdr.uuidcfdirelacionado='".$_REQUEST['uuidRecibe']."' and pdr.doce_uuid='".$_REQUEST['doce_uuid']."'";

if(!$result = mysqli_query($conexion->CONEXION,$query)){
	?><script>
	$j_7.messager.alert("Error.","Ocurrio un error al consultar el documento. Intente nuevamente.","error");
	$j_7("#dd").dialog("close");
	</script><?
	exit;
}

if(mysqli_num_rows($result) <= 0){
	?><script>
	$j_7.messager.alert("Información.","No se encontro el documento. Intente nuevamente.","info");
	$j_7("#dd").dialog("close");
	</script><?
	exit;
}
$tmp = mysqli_fetch_assoc($result);
if(trim($tmp["monto"]) != ""){
	?><script>
	$j_7.messager.confirm("Información.","El documento ya esta agregado al pago seleccionado.<br/>¿Desea continuar con la edición?",function(r){
			if(!r){
				$j_7("#dd").dialog("close");
			}
	});
	
	</script><?
}
?>
<style>
	.inputForm{
		font-size: 20px; 
		border-color: #fbca93; 
		width: 200px;
	}
	.fontForm{
		font-size: 20px; 
		border-color: #fbca93;
	}
</style>
<script language="javascript" src="libs/Vanadium/vanadium.js"></script>
<script>
$j_7(document).ready(function() {
    $j_7('#form, #fat, #formAlta').submit(function() {
		$j_7("body").addClass("loading");
        $j_7.ajax({
            type: 'POST',
            url: $j_7(this).attr('action'),
            data: $j_7(this).serialize(),
            /*beforeSend:function(){
                var prefijo = $j_7("#prefijo").val();
                var tipo_usuario_vimifos = $j_7("#tipo_usuario_vimifos").val();
                if(prefijo == "-" && tipo_usuario_vimifos == "DOCTOR"){
                    alert("Debe de ingresar un prefijo valido para un usuario DOCTOR.");
                    alert("Debe de ingresar un prefijo valido para un usuario DOCTOR.");
                    return false;
                }
                
            },*/
            success: function(data) {
                $j_7('#resultForm').html(data);
                $j_7("body").removeClass("loading");
            }
        })
        
        return false;
    });
});
</script>

<form action="guardar/altaReferencia.php" name="formAlta" id="formAlta">
	<input type="hidden" id="uuidRecibe" name="uuidRecibe" value="<?=$_REQUEST['uuidRecibe']?>" />
	<input type="hidden" id="doce_uuid" name="doce_uuid" value="<?=$_REQUEST['doce_uuid']?>" />
	<table width="98%">
		<tr>
			<td valign="top" width="150px">
				<span class="fontForm">Razón Social:</span>
			</td>
			<td  valign="top" colspan="3">
				<input disabled="true" type="text" class="inputForm" style="width: 100%" name="razonSocial" id="razonSocial" value="<?=$tmp["nombreemi"]?>"/>
			</td>
		</tr>
		<tr>
			<td  valign="top"  >
				<span class="fontForm">RFC:</span>
			</td>
			<td  valign="top">
				<input disabled="true" type="text" class="inputForm" name="rfcemisor" id="rfcemisor" value="<?=$tmp["rfcemisor"]?>"/>
			</td>
			<td valign="top" width="150px">
				<span class="fontForm">Serie:</span>
			</td>
			<td valign="top"  >
				<input disabled="true" type="text" class="inputForm" name="serie" id="serie" value="<?=$tmp["serie"]?>"/>
			</td>
		</tr>
		<tr>
			<td valign="top"  >
				<span class="fontForm">Folio:</span>
			</td>
			<td valign="top">
				<input disabled="true" type="text" class="inputForm" name="folio" id="folio" value="<?=$tmp["folio"]?>"/>
			</td>
			<td valign="top"  >
				<span class="fontForm">UUID:</span>
			</td>
			<td valign="top"  >
				<input disabled="true" type="text" class="inputForm" name="uuid" id="uuid" value="<?=$tmp["uuid"]?>"/>
			</td>
		</tr>
		<tr>
			<td valign="top"  >
				<span class="fontForm">Fecha:</span>
			</td>
			<td valign="top">
				<input disabled="true" type="text" class="inputForm" name="fecha" id="fecha" value="<?=$tmp["fechadocto"]?>"/>
			</td>
			<td valign="top"  >
				<span class="fontForm">Moneda:</span>
			</td>
			<td valign="top">
				<input disabled="true" type="text" class="inputForm" name="moneda" id="moneda" value="<?=$tmp["tipomoneda"]?>"/>
			</td>
		</tr>
		<tr>
			<td valign="top"  >
				<span class="fontForm">Tipo Cambio:</span>
			</td>
			<td valign="top"  >
				<input disabled="true" type="text" style="text-align: right" class="inputForm" name="tipocambio" id="tipocambio" value="$ <?=number_format($tmp["tipo_cambio"],2,".",",")?>"/>
			</td>
			<td valign="top"  >
				<span class="fontForm">Total Factura:</span>
			</td>
			<td valign="top"  >
				<input disabled="true" type="text" class="inputForm" style="text-align: right" name="total" id="total" value="$ <?=number_format($tmp["total"],2,".",",")?>"/>
			</td>
		</tr>
		<tr>
			<td valign="top">
				<span class="fontForm">Importe Pagado:</span>
			</td>
			<td valign="top" colspan="2">
				<input type="text" onkeyup="onlyNumsAndOneDotAndLimitDecimals(this,2)" class="inputForm" name="montoPagado" value="$ <?=number_format($tmp["monto"],2,".",",")?>" id="montoPagado"/>
			</td>
			<td valign="top">
				<span class="fontForm">Parcialidad:</span>
			</td>
			<td valign="top" colspan="2">
				<input type="text" onkeyup="onlyNumsAndOneDotAndLimitDecimals(this,2)" class="inputForm" name="numParcialidad" value="$ <?=number_format($tmp["monto"],2,".",",")?>" id="numParcialidad"/>
			</td>
		</tr>
	</table>
</form>
<div id="resultForm"></div>